package com.xintong.visualinspection.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.xintong.visualinspection.bean.CheckOther;
import com.xintong.visualinspection.bean.StatisticsBean;
import com.xintong.visualinspection.pojo.OtherCheckStatistics;

public interface CheckOtherService {

	/**添加稽查记录
	 * @param checkOther
	 */
	void insert(CheckOther checkOther);
	/**根据id删除稽查记录
	 * @param checkOther
	 */
	void delete(Long id);

	/**根据部门id获取稽查记录
	 * @param checkOther
	 * @return
	 */
	List<CheckOther> getCheckByDeptId(CheckOther checkOther);
	
	/**
	 * 下载信息Excel
	 */
	void getOtherCheckExcel(CheckOther checkOther,HttpServletRequest req,HttpServletResponse resp);
	
	
	/**根据id获取稽查记录
	 * @param id
	 */
	CheckOther getCheckById(Long id);
	/**根据id修改稽查记录
	 * @param id
	 */
	void update(CheckOther checkOther);

    public void getexcel(CheckOther checkOther, HttpServletRequest req, HttpServletResponse resp);


	public Map<String,Object> getOtherCheckStatistics(String checktime, int checktype,Integer type);

}
